<?php

	/*
		Code module settings
		See @https://support.netim.com/en/docs/whmcs/setup/domain-settings 
		See @https://support.netim.com/en/docs/whmcs/troubleshooting/enable-debugging
	*/

	if (!defined("WHMCS"))
		die("This file cannot be accessed directly");
		
	// ----------------------------------------------------------------------------------------------
	// Module settings
	// ----------------------------------------------------------------------------------------------
	$netim_debug=true;
	$netim_api_debug=true;
	
	$netim_feature_support = [
		"dnssec" => true,
	];

	// URL to retreive the tld list
	$netim_tlds_url = "https://www.netim.com/tld-list.xml";

	// URL to retreive the pricing list
	$netim_pricing_url_ote = "https://oteweb.netim.com/bin/pricing.php";
	$netim_pricing_url = "https://www.netim.com/bin/pricing.php";

	//Shall we record result generated during a domainCreate into the admin notes ?
	$netim_report_domainCreate_in_adminnotes=true;
	
	//Shall we record result generated during a domainTransferIn into the admin notes ?
	$netim_report_domainTransfer_in_adminnotes=true;
	
	//Shall we record result generated during a domainRenew into the admin notes ?
	$netim_report_domainRenew_in_adminnotes=true;	

	//Shall we force the restoration of a domain name if the renewal period is over ?	
	$netim_force_restore_during_renewal=true;
	
	//Default contact ID to be used instead of client or WHMCS settings
	$netim_default_contact_id = "";

	// ------------------------------------------------
    // Local contact and trustee services
    // ------------------------------------------------
	$netim_trustee_service = [
		[
			"extensions" => ["ar","com.ar","net.ar","org.ar"],
			"contactID" => "TRUST4AR",
			"countries" => ["ANY"],
			"force" => true // Free of charges
		],
		[
			"extensions" => ["bg"],
			"contactID" => "TRUST4BG",
			"countries" => ["AT","BE","BG","CZ","CY","DE","DK","ES","EE","FI","FR","GB","GR","HR","HU","IE","IT","LT","LU","LV","MT","NL","PL","PT","RO","SE","SI","SK"],
			"force" => false
		],
		[
			"extensions" => ["com.br","net.br"],
			"contactID" => "TRUST4BR",
			"countries" => ["BR"],
			"force" => false
		],
		[
			"extensions" => ["fr","pm","re","tf","yf","yt"],
			"contactID" => "TRUST4FR",
			"countries" => ["AT","AX","BE","BG","CH","CZ","CY","DE","DK","ES","EE","FI","FR","GB","GF","GI","GP","GR","HR","HU","IE","IS","IT","LI","LT","LU","LV","MQ","MT","NC","NL","NO","PL","PM","PT","RE","RO","SE","SK","TF","WF","YT"],
			"force" => false
		],
		[
			"extensions" => ["hr"],
			"contactID" => "TRUST4HR",
			"countries" => ["AT","BE","BG","CZ","CY","DE","DK","ES","EE","FI","FR","GB","GR","HR","HU","IE","IT","LT","LU","LV","MT","NL","PL","PT","RO","SE","SI","SK"],
			"force" => false
		],
		[
			"extensions" => ["hu"],
			"contactID" => "TRUST4HU",
			"countries" => ["AT","BE","BG","CZ","CY","DE","DK","ES","EE","FI","FR","GB","GR","HR","HU","IE","IT","LT","LU","LV","MT","NL","PL","PT","RO","SE","SI","SK"],
			"force" => false
		],
		[
			"extensions" => ["it"],
			"contactID" => "TRUST4IT",
			"countries" => ["AT","BE","BG","CZ","CH","CY","DE","DK","ES","EE","FI","FR","GB","GR","HR","HU","IE","IT","IS","LI","LT","LU","LV","MT","NL","NO","PL","PT","RO","SE","SI","SK","SM","VA"],
			"force" => false
		],
		[
			"extensions" => ["kr","co.kr","pe.kr","re.kr","seoul.kr","ne.kr","or.kr"],
			"contactID" => "TRUST4KR",
			"countries" => ["KR"],
			"force" => false
		],
		[
			"extensions" => ["md"],
			"contactID" => "TRUST4MD",
			"countries" => ["AD","AE","AF","AL","AM","AN","AO","AQ","AT","AW","AZ","BA","BD","BE","BF","BG","BH","BI","BJ","BN","BT","BV","BY","CC","CD","CF","CG","CK","CN","CR","CS","CV","CX","CY","CZ","DJ","DK","DZ","EE","EG","ER","ET","FI","FO","GA","GE","GF","GL","GM","GN","GP","GR","GS","GW","HK","HM","HR","HT","HU","IL","IO","IQ","IR","IS","IT","JO","KE","KG","KH","KM","KP","KW","KZ","LA","LB","LI","LK","LT","LU","LV","LY","MA","MC","MD","MG","MK","ML","MM","MN","MO","MQ","MR","MS","MT","MU","MV","MY","MZ","NC","NE","NF","NG","NL","NO","NP","NU","OM","PF","PH","PK","PL","PM","PN","PS","PT","QA","RE","RO","RS","RU","RW","SA","SB","SC","SD","SE","SG","SH","SI","SJ","SK","SM","SN","SO","SR","SY","TC","TD","TF","TG","TH","TJ","TK","TM","TN","TP","TR","TW","TZ","UA","UZ","VA","VN","WF","YE","YT","YU"],
			"force" => false
		],
		[
			"extensions" => ["no"],
			"contactID" => "TRUST4NO",
			"countries" => ["NO"],
			"force" => false
		],
		[
			"extensions" => ["sk"],
			"contactID" => "TRUST4SK",
			"countries" => ["AT","BE","BG","CH","CZ","CY","DE","DK","ES","EE","FI","FR","GB","GR","HR","HU","IE","IS","IT","LI","LT","LU","LV","MT","NL","PL","PT","RO","SE","SI","SK"],
			"force" => false
		],
		[
			"extensions" => ["mr","org.mr","edu.mr","perso.mr"],
			"contactID" => "TRUST4MR",
			"countries" => ["MR"],
			"force" => false
		],
		[
			"extensions" => ["my","com.my","org.my","net.my"],
			"contactID" => "TRUST4MY",
			"countries" => ["MY"],
			"force" => false
		]
	];

	$netim_local_service = [
		[
			"extensions" => ["ee","com.ee"],
			"contactID" => "NETIM4EE",
			"countries" => ["ANY"],
			"force" => false // Caution, mandatory and paid
		],
		[
			"extensions" => ["fr","pm","re","tf","yf","yt"],
			"contactID" => "NETIM4FR",
			"countries" => ["AT","AX","BE","BG","CH","CZ","CY","DE","DK","ES","EE","FI","FR","GB","GF","GI","GP","GR","HR","HU","IE","IS","IT","LI","LT","LU","LV","MQ","MT","NC","NL","NO","PL","PM","PT","RE","RO","SE","SK","TF","WF","YT"],
			"force" => true // Free of charges
		],
		[
			"extensions" => ["hu","co.hu","org.hu"],
			"contactID" => "NETIM4HU",
			"countries" => ["HU"],
			"force" => true // Free of charges
		],
		[
			"extensions" => ["jp"],
			"contactID" => "NETIM4JP",
			"countries" => ["JP"],
			"force" => false
		],
		[
			"extensions" => ["ma","co.ma"],
			"contactID" => "NETIM4MA",
			"countries" => ["MA"],
			"force" => true
		],
		[
			"extensions" => ["sg", "com.sg"],
			"contactID" => "TRUST4SG",
			"countries" => ["ANY"],
			"force" => false
		]
	];	

?>